/*  Routines for mp integer <--> decimal conversion.	*/
/*  Source:  midec.c		Header:  midec.h	*/
/*  Uses some routines in miarith.c			*/
/*  Ernest Sibert -- March, 1995			*/


/*  Convert x[0..N] to decimal in s[0..C], using C characters followed	*/
/*  by null in s[C].  Inserts leading blanks as needed.  x should not	*/
/*  be most negative integer.  Returns 0 if conversion succeeds, -1 if	*/
/*  anything goes wrong, in which case s is undefined.			*/

extern int im2dec(int x[], int N, char s[], int C);


/*  Convert decimal string s[] to multiple-precision integer x[0..N].	*/
/*  Syntax:								*/
/*	<number> ::= <whitespace> {+|-} {<digit>|<whitespace>* <stop>	*/
/*	<whitespace> ::= any character space or lower			*/
/*	<stop>   ::= any character not whitespace or digit		*/
/*									*/
/*  Result is 0 if conversion succeeded, -1 otherwise, in which case	*/
/*  x is undefined.							*/
/*  Note that whitespace may be used to group digits.			*/
/*  This is designed for the ASCII character set.			*/

extern int dec2im(int x[], int N, char s[]);
